#!/bin/bash

        systemctl stop minio
        systemctl stop nfs-server
        systemctl stop smb
        systemctl stop tgtd

        umount /dev/sda1
        umount /dev/sdb1
        umount /dev/sdc1
        umount /dev/sdd1

        dd if=/dev/zero of=/dev/sda bs=10M count=1
        dd if=/dev/zero of=/dev/sdb bs=10M count=1
        dd if=/dev/zero of=/dev/sdc bs=10M count=1
        dd if=/dev/zero of=/dev/sdd bs=10M count=1

        sleep 1

        /opt/tool/saturn-device-id.sh -w 0x0 $1 16

        echo "yes" |parted /dev/sda mklabel gpt
        echo "Ignore" | parted /dev/sda "mkpart primary ext4 2048s -1"

        echo "yes" |parted /dev/sdb mklabel gpt
        echo "Ignore" | parted /dev/sdb "mkpart primary ext4 2048s -1"

        echo "yes" |parted /dev/sdc mklabel gpt
        echo "Ignore" | parted /dev/sdc "mkpart primary ext4 2048s -1"

        echo "yes" |parted /dev/sdd mklabel gpt
        echo "Ignore" | parted /dev/sdd "mkpart primary ext4 2048s -1"

        sync

        partprobe

echo "success"
